# Uses of Interface
org.eclipse.equinox.p2.query.IQueryResult

Packages that use IQueryResult
Package
Description
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.metadata.index
Provides classes for metadata query indexing
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.planner
Provides core support for interacting with a dependency resolution mechanism.
org.eclipse.equinox.p2.query
Provides common classes for the query mechanism.

## Uses of IQueryResult in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return IQueryResult
Modifier and Type
Method
Description
`IQueryResult<IInstallableUnit>`
IProfile.`available(IQuery<IInstallableUnit> query, IProgressMonitor monitor)`
Returns the installable units in this profile that match the given query.

## Uses of IQueryResult in org.eclipse.equinox.p2.metadata.index

Methods in org.eclipse.equinox.p2.metadata.index that return IQueryResult
Modifier and Type
Method
Description
`IQueryResult<T>`
IQueryWithIndex.`perform(IIndexProvider<T> indexProvider)`
Evaluates the query using the `indexProvider`.

## Uses of IQueryResult in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return IQueryResult
Modifier and Type
Method
Description
`IQueryResult<IInstallableUnit>`
OperationFactory.`listInstalledElements(boolean rootsOnly, IProgressMonitor monitor)`
Returns the `IInstallableUnit`s that are installed in the running instance of Eclipse.

## Uses of IQueryResult in org.eclipse.equinox.p2.planner

Methods in org.eclipse.equinox.p2.planner that return IQueryResult
Modifier and Type
Method
Description
`IQueryResult<IInstallableUnit>`
IPlanner.`updatesFor(IInstallableUnit iu, ProvisioningContext context, IProgressMonitor monitor)`

## Uses of IQueryResult in org.eclipse.equinox.p2.query

Classes in org.eclipse.equinox.p2.query that implement IQueryResult
Modifier and Type
Class
Description
`class`
`CollectionResult<T>`
This class allows to adapt java collections to a p2 a query result and as such something queryable
`class`
`Collector<T>`
A collector is a generic visitor that collects objects passed to it, and can then express the result of the visit in various forms.
Methods in org.eclipse.equinox.p2.query that return IQueryResult
Modifier and Type
Method
Description
`IQueryResult<T>`
ExpressionMatchQuery.`perform(Iterator<T> iterator)`
`IQueryResult<T>`
ExpressionMatchQuery.`perform(IIndexProvider<T> indexProvider)`
`IQueryResult<T>`
ExpressionQuery.`perform(Iterator<T> iterator)`
`IQueryResult<T>`
ExpressionQuery.`perform(IIndexProvider<T> indexProvider)`
`IQueryResult<T>`
IQuery.`perform(Iterator<T> iterator)`
Evaluates the query for a specific input.
`final IQueryResult<T>`
MatchQuery.`perform(Iterator<T> iterator)`
Deprecated.
`IQueryResult<T>`
CollectionResult.`query(IQuery<T> query, IProgressMonitor monitor)`
`IQueryResult<T>`
Collector.`query(IQuery<T> query, IProgressMonitor monitor)`
Performs a query on this results of this collector.
`IQueryResult<T>`
IQueryable.`query(IQuery<T> query, IProgressMonitor monitor)`
Performs a query, passing any objects that satisfy the query to the provided collector.
Methods in org.eclipse.equinox.p2.query with parameters of type IQueryResult
Modifier and Type
Method
Description
`void`
Collector.`addAll(IQueryResult<T> queryResult)`
Adds the elements from one collector to this collector